Bug 735212 - subscription-manager import help should say --certificate=CERTIFICATE_FILE
Summary: subscription-manager import help should say --certificate=CERTIFICATE_FILE
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Bryan Kearney
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel62
TreeView+ depends on / blocked
 
Reported: 2011-09-01 20:01 UTC by John Sefler
Modified: 2011-12-06 17:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 17:23:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1695 normal SHIPPED_LIVE subscription-manager bug fix and enhancement update 2011-12-06 01:23:29 UTC

Description John Sefler 2011-09-01 20:01:07 UTC
Description of problem:
Currently, the import help shows the following:

[root@jsefler-onprem-62server tmp]# subscription-manager import --help
Usage: subscription-manager import [OPTIONS]

Import certificates which were provided outside of the tool

Options:
  -h, --help            show this help message and exit
  --proxy=PROXY_URL     proxy url in the form of proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        user for http proxy with basic authentication
  --proxypassword=PROXY_PASSWORD
                        password for http proxy with basic authentication
  --certificate=CERTIFICATE_FILES
                        certificate file to import

The option "--certificate=CERTIFICATE_FILES" should not be plural. The accepted way to import multiple certificates is to use the option more than once as shown here:

[root@jsefler-onprem-62server tmp]# subscription-manager import --certificate /tmp/1665296392807349022.pem --certificate /tmp/7179435381166267109.pem 
Successfully imported certificate 1665296392807349022.pem
Successfully imported certificate 7179435381166267109.pem
[root@jsefler-onprem-62server tmp]# 

I would suggest that the help message say:

  --certificate=CERTIFICATE_FILE
                        certificate file to import (for multiple imports,
                        specify this option more than once)


Version-Release number of selected component (if applicable):
[root@jsefler-onprem-62server tmp]# rpm -q subscription-manager
subscription-manager-0.96.8-1.git.0.125eb68.el6.x86_64

Comment 2 John Sefler 2011-09-09 13:36:51 UTC
Verifying Version...
[root@jsefler-onprem-62server ~]# rpm -q subscription-manager
subscription-manager-0.96.9-1.git.8.4e7d06b.el6.x86_64


[root@jsefler-onprem-62server ~]# subscription-manager import --help
Usage: subscription-manager import [OPTIONS]

Import certificates which were provided outside of the tool

Options:
  -h, --help            show this help message and exit
  --proxy=PROXY_URL     proxy url in the form of proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        user for http proxy with basic authentication
  --proxypassword=PROXY_PASSWORD
                        password for http proxy with basic authentication
  --certificate=CERTIFICATE_FILE
                        certificate file to import (for multiple imports,
                        specify this option more than once)


^^^ VERIFIED wording on --certificate option has been updated

Note: Still need a fix for Bug 733873 - subscription-manager import --help should not use proxy options

Comment 3 errata-xmlrpc 2011-12-06 17:23:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1695.html


Note You need to log in before you can comment on or make changes to this bug.